/**
 * Betfair: Exchange Streaming API
 * API to receive streamed updates. This is an ssl socket connection of CRLF delimited json messages (see RequestMessage & ResponseMessage)
 *
 * OpenAPI spec version: 1.0.1423
 * Contact: bdp@betfair.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package com.betfair.esa.swagger.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;


/**
 * KeyLineDefinition
 */
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaClientCodegen", date = "2020-07-08T14:44:27.518+08:00")
public class KeyLineDefinition   {
  @SerializedName("kl")
  private List<KeyLineSelection> kl = new ArrayList<KeyLineSelection>();

  public KeyLineDefinition kl(List<KeyLineSelection> kl) {
    this.kl = kl;
    return this;
  }

  public KeyLineDefinition addKlItem(KeyLineSelection klItem) {
    this.kl.add(klItem);
    return this;
  }

   /**
   * Get kl
   * @return kl
  **/
  @ApiModelProperty(example = "null", value = "")
  public List<KeyLineSelection> getKl() {
    return kl;
  }

  public void setKl(List<KeyLineSelection> kl) {
    this.kl = kl;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    KeyLineDefinition keyLineDefinition = (KeyLineDefinition) o;
    return Objects.equals(this.kl, keyLineDefinition.kl);
  }

  @Override
  public int hashCode() {
    return Objects.hash(kl);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class KeyLineDefinition {\n");
    
    sb.append("    kl: ").append(toIndentedString(kl)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

